!!section:content,markdown
/// html | div#main-content-section[style='padding-top: 100px;']
/// html | div.grid-container
# FAQ

Is using Syng.Rocks! free?

:    Yes, Syng.Rocks! is free software and licensed under the GNU Affero General Public License v3.0 (AGPL-3.0). You can use it for free without any limitations.

Can you add a specific song?

:    Syng.Rocks! does not host any songs itself. The client fetches songs from YouTube or any of your configured sources.

What are sources?

:    Since Syng.Rocks! does not host any songs itself, songs played by the playback client, need to come from external sources. Currently, the following sources can be added:

      * YouTube
      * Any S3 compatible server
      * A local directory

     The sources are accessed from the playback client directly, the server is unaware of the contents of the sources and just uses a list of filenames to search for songs.

What file format can Syng.Rocks! play?

:    Syng.Rocks! uses [MPV](https://mpv.io) to play the karaoke songs, so it supports most video formats including `cdg+mp3`.

What do you mean by *Playback Client*, *Web Client* and *Server*?

:    The *Playback Client* is the application that plays the songs and displays the lyrics. It is a desktop application.
     The *Web Client* is the web application that allows you to manage the queue and search for songs. It is used by the guests to add songs to the queue.
     The *Server* is the backend that manages the queue and handles connection between web clients and playback clients.

     If you only want to host a karaoke event, you only need the playback client.
     The server is optional, as you can use the public server at [syng.rocks](https://syng.rocks).

Can I use Syng.Rocks! without internet?

:    Yes and no. The playback client needs to connect to a server instance. While you can host the server yourself in your intranet, the experience can be limited, as some source (such as YouTube) need the playback client to reach YouTube. You can however use local and s3 sources, that are reachable from the playback client.

Can I use Syng.Rocks! without a server?

:    You do need some kind of server to manage the queue, but you can use the public server at [syng.rocks](https://syng.rocks) to host your karaoke events. No need to roll up your own server.

Can I host my own server?

:   Yes, you can host your own server. The server is available as a Docker image on GitHub, or you can install it using the Python Package Index (PyPI) package `syng[server]`.
    For more information, see the [installation instructions](install.html).

<a id="waiting-room"></a>What is the waiting room?

:   The waiting room is a feature that allows you to limit the amount of songs a guest can have in the queue.
    If the waiting room is enabled, guests can only add songs to the queue if they have no songs in the queue. All additional songs are placed in a waiting room and automatically leave the queue once no songs of the guest are left in the queue.

What data do you store?

:   Syng.Rocks! does not store any personal data. The server only stores the current state of the queue.
    If you use the public server at [syng.rocks](https://syng.rocks), the server will also store your IP address for a limited time to prevent abuse.
    For more information, see the [privacy policy](privacy.html).

I cannot connect to [syng.rocks](https://syng.rocks).

:   Sometimes the server is down for maintenance. Check the official [Mastodon account](https://floss.social/@syng) for announcements. Also check, if your client is up-to-date. The server is only compatible with the latest release.

What is the restricted mode of the server?

:   When the server is in restricted mode, *server side search* is only available to authenticated rooms. For other rooms, a search request is forwarded to the playback client and results are then sent back to the web client.

Something does not work, or I have questions not covered here

:   Feel free to open an issue on the official issue tracker on [GitHub](https://github.com/christofsteel/syng/issues) or reach out to us at our official Mastodon account: [@syng@floss.social](https://floss.social/@syng) account or join our official matrix room: [#syng:matrix.org](https://matrix.to/#/#syng:matrix.org).
///
///
