!!section:header,markdown
/// html | div.hero-full-screen
/// html | div.middle-content-section.grid-container
/// html | div.grid-x.align-middle
/// html | div.cell.large-6
 ![Syng.Rocks! Overview](images/overview.png)
///
/// html | div.cell.large-6
/// html | div.hero-section-text
# Syng.Rocks!
##### Easily host karaoke events

Syng.Rocks! is a karaoke app that allows you to host karaoke events without much hassle. Whether you have a big collection of karaoke songs, or just want to stream karaoke songs from YouTube, whether you want to sing with a couple of friends or with a crowd of over 100 people, Syng.Rocks! has you covered in a privacy-friendly manner. No need to register, no need to log in, Syng.Rocks! will never collect any personal data from you. You can even host your own server if you want to.

<a href="https://flathub.org/apps/rocks.syng.Syng" target="_blank" class="button">Linux/Flatpak</a>
<a href="https://github.com/christofsteel/syng/releases" target="_blank" class="button">Windows</a>
<a href="https://syng.rocks" target="_blank" class="button hollow">Web Client</a>
<a href="https://github.com/christofsteel/syng" target="_blank" class="button hollow">Source Code</a>
!!section:content,markdown
/// html | div#main-content-section
/// html | div.grid-container
/// html | div.grid-x.grid-padding.textleft.align-right
/// html | div.cell.medium-5.text-right
## Start Singing

If you only want to have a small YouTube based karaoke event, you can just download the app, share the generated QR Code and start singing. No registration, no login and no configuration required. 
///
/// html | div.cell.medium-5.showcase-image
 ![Syng.Rocks! Client](images/syng.png)
///
///
/// html | div.grid-x.grid-padding.textright
/// html | div.cell.medium-8.showcase-image
 ![Syng.Rocks! Web Client](images/web-shadows.png)
///
/// html | div.cell.medium-4
## Web client

Let your guests join your karaoke event using the web client. They can use their browser on their own devices to search for songs and queue them up.
The web client also contains an admin mode, that allows for manual moderation of the song queue.
///
///
/// html | div.grid-x.grid-padding.textleft.align-right
/// html | div.cell.medium-4.text-right
## Configure to your needs

Syng.Rocks! allows for a lot of configuration options. You can set up your own song database, you can set up a [waiting room](faq.html#waiting-room), a set time the event ends and much more.
///
/// html | div.cell.medium-8.showcase-image
 ![Syng.Rocks! Web Client](images/syng_advanced.png)
///
///
/// html | div.grid-x.grid-padding.textright
/// html | div.cell.medium-7.showcase-image
 ![Syng.Rocks! Web Client](images/sources.svg)
///
/// html | div.cell.medium-5
## Multiple Sources

Syng.Rocks! supports multiple sources for karaoke songs. The default source is YouTube, but you can configure a remote S3 compatible server or simply a folder on your system. The client connects directly to the sources, no login data is ever shared with the server.
///
///




